NPROC(1)

NAME
nproc - print the number of processing units available

SYNOPSIS
nproc [OPTION]...

DESCRIPTION

Print the number of processing units available to the current process, which may be less than the number of online processors. If the 'OMP_NUM_THREADS' or 'OMP_THREAD_LIMIT' environment variables are set, then they will determine the minimum and maximum returned value respectively.

--all
    print the number of installed processors, disregarding any OpenMP environment variables, or CPU quotas.

--ignore=N
    if possible, exclude N processing units. The result is guaranteed to be at least 1.

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by Giuseppe Scrivano.

REPORTING BUGS
Report bugs to: bug-coreutils@gnu.org
GNU coreutils home page: <https://www.gnu.org/software/coreutils/>
General help using GNU software: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
Full documentation <https://www.gnu.org/software/coreutils/nproc>
or available locally via: info '(coreutils) nproc invocation'